/*****
 * SoundEffect.h
 *
 *	SoundEditor: Copyright (c) 1993 by
 *
 *	Motion Works Corp.
 *	#130 - 1020 Mainland Street
 *	Vancouver, BC
 *	(604) 685-9975
 *
 *  Author:	DMS		(13SEP93)
 *
 *	generic sound effect (SE) component header for Marvin's Modulator
 *
 *****/

#pragma once

#ifndef	_SOUNDEFFECTCOMPONENT_
#define	_SOUNDEFFECTCOMPONENT_

#include <QuickTimeComponents.h>
#include <Sound.h>

#define	kSoundEffectComponentType	'MMSE'

typedef	struct	PrivateGlobals
{
	Component self;		// Our component ID
}
PrivateGlobals, *PrivateGlobalsPtr, **PrivateGlobalsHdl;


	// Comment out this flag when building a standalone component
	// (it's only of use if you have the source code to Marvin's Modulator)
//#define DEBUG_SOUND_EFFECT	

	// prototype of function used to register component when debugging

pascal ComponentResult SoundEffectDispatcher( ComponentParameters *params, Handle storage );


	// sound effect component request code
enum
{
	kDoEffect = 1,
	kWorksOnSelectionOnly
};


	
	// Public interfaces

pascal	ComponentResult SEDoEffect (	ComponentInstance SEInstance,
										Handle theSound,
										Size *newSelectionStart, Size *newSelectionEnd,
										Handle *newSound,
										Size *insertStart, Size *deleteEnd
								   )
								 = ComponentCallNow( kDoEffect, 24 );

pascal ComponentResult SEWorksOnSelectionOnly(	ComponentInstance SEInstance,
												Boolean *answer
											 )
								 = ComponentCallNow( kWorksOnSelectionOnly, 4 );

#endif _SOUNDEFFECTCOMPONENT_
