/*****
 * Beginning.c
 *
 *	SoundEditor: Copyright (c) 1993 by
 *
 *	Motion Works Corp.
 *	#130 - 1020 Mainland Street
 *	Vancouver, BC
 *	(604) 685-9975
 *
 *  Author:	DMS		(21DEC93)
 *
 *	Beginning sound effect (SE) component source for Marvin's Modulator
 *
 *****/

#include <MacHeaders>
#include <QuickTimeComponents.h>

	// prototype

pascal ComponentResult _SEWorksOnSelectionOnly(	Boolean *answer );

pascal ComponentResult _SEDoEffect( Handle theSound,
									Size *selectionStart, Size *selectionEnd,
									Handle *newSound,
									Size *insertStart, Size *deleteEnd );


/***
 * _SEWorksOnSelectionOnly
 *
 *		returns TRUE to signify that it should only be enabled when there is a selection
 *
 ***/

pascal ComponentResult _SEWorksOnSelectionOnly(	Boolean *answer )
{
	*answer = FALSE;
	
	return noErr;
}



/***
 * _SEEffect
 *
 *		Reverse the selected samples and return a new sound with those samples in it.
 *
 ***/

pascal ComponentResult _SEDoEffect(	Handle theSound,
									Size *selectionStart, Size *selectionEnd,
									Handle *newSound,
									Size *insertStart, Size *deleteEnd )
{
		// set selection to beginning
	*selectionStart = *selectionEnd = 0;
	
		// don't delete any samples
	*insertStart = *deleteEnd = 0;

		// no new sound to insert	
	*newSound = NULL;
	
	return noErr;
}
